import java.util.Scanner;

public class Konto {
    Person inhaber;
    int kontostand;

    Konto(Person inhaber, int kontostand){
        this.inhaber = inhaber;
        this.kontostand = kontostand;
    }

    void einzahlen(int plusgeld) {
        if (plusgeld > 0) {
            this.kontostand += plusgeld;
            System.out.println("Ihr neuer Kontostand ist " + this.kontostand + " und Sie haben gerade " + plusgeld + " eingezahlt.");
        }
        else {
            System.out.println("Sie können doch keinen negativen Betrag einzahlen! Dieses Verfahren nennt sich Abheben ;-)");
        }
    }

    void abheben(int minusgeld) {
        if (this.kontostand > 0 && this.kontostand >= minusgeld && minusgeld > 0) {
            this.kontostand -= minusgeld;
            System.out.println("Ihr neuer Kontostand ist " + this.kontostand + " und Ihnen werden nun " + minusgeld + " ausgezahlt.");
        }
        else if (this.kontostand != 0 && this.kontostand < minusgeld) {
            System.out.println("Sie haben nicht genug Geld auf ihrem Konto. Sie können höchstens " + this.kontostand + " abheben.");
        }
        else if (minusgeld < 0){
            System.out.println("Sie können doch keinen negativen Betrag abheben! Dieses Verfahren nennt sich Einzahlen ;-)");
        }
        else {
            System.out.println("Sie haben kein Geld auf ihrem Konto und können daher keines abheben.");
        }
    }

    void printkonto() {
        System.out.println("Ihr Vorname ist " + this.inhaber.vorname);
        System.out.println("Ihr Nachname ist " + this.inhaber.nachname);
        System.out.print("Sie sind am ");
        this.inhaber.geburtstag.printgebdat();
        System.out.println(" geboren.");
        System.out.println("Ihr Kontostand ist " + this.kontostand);
    }


    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);

        System.out.print("Gib bitte deinen Vornamen ein: ");
        String vorname = sc.nextLine();
        System.out.print("Gib bitte auch deinen Nachnamen ein: ");
        String nachname = sc.nextLine();
        System.out.print("Gib nun dein Geburtsdatum (im Format tt.mm.jjjj) ein: ");
        String gebdatum = sc.nextLine();

        int day = Integer.valueOf(gebdatum.substring(0,2));
        int month = Integer.valueOf(gebdatum.substring(3,5));
        int jear = Integer.valueOf(gebdatum.substring(6,10));
        Geburtsdatum gebdat1 = new Geburtsdatum(day, month, jear);

        Person person1 = new Person(vorname, nachname, gebdat1);

        Konto konto1 = new Konto(person1, 0);

        int chooser = 0;
        while (chooser != 4){
            System.out.print("\nGuten Tag " + konto1.inhaber.vorname + " " + konto1.inhaber.nachname + ", was wollen Sie tun? Geben Sie zum Abheben 1, zum Einzahlen 2, zum Aufrufen ihrer Kontoinformationen 3 und zum Beenden 4 ein: ");
            chooser = sc.nextInt();
            switch (chooser) {
                case 1:
                    System.out.print("Wie viel Geld möchten Sie abheben?: ");
                    int abhebgeld = sc.nextInt();
                    konto1.abheben(abhebgeld);
                    break;
                case 2:
                    System.out.print("Wie viel Geld möchten Sie einzahlen?: ");
                    int einzahlgeld = sc.nextInt();
                    konto1.einzahlen(einzahlgeld);
                    break;
                case 3:
                    konto1.printkonto();
                    break;
                case 4:
                    System.out.println("Beende...");
                    break;
                default:
                    System.out.println("Sie müssen entweder 1,2,3 oder 4 eingeben!");
                    break;
            }
        }
    sc.close();
    }
}


